\name{makeStructDir}
\alias{makeStructDir}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Multi-Match fully Bayesian integrated approach to the analysis of Affymetrix Gene arrays}
\description{
  'makeStructDir' creates structure directories mapping probes to Ensembl transcripts or genes.
}
\usage{
makeStructDir(xmapDB, cdfName, geneLevel=FALSE, path=NULL) 
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{xmapDB}{The name of the \code{xmapcore} database to use.}
  \item{cdfName}{The type of array to analyse (e.g. HuGene-1\_0-st-v1), obtained by running \code{read.celfile.header}.}
  \item{geneLevel}{Should we produce Ensembl gene-level instead of transcript-level probesets?}
  \item{path}{The path in which to save the structure files. By default this is inst/structDirs/cdfName/EnsemblVersion.}
}
\value{
  None.
}
\references{
Turro E., Lewin A., Rose A., Dallman M. J., Richardson S. MMBGX: a method for estimating expression at the isoform level and detecting differential splicing us- ing whole-transcript Affymetrix arrays. Nucleic Acids Research, 2010 Jan; 38(1):e4. doi: 10.1093/nar/gkp853.}

\author{Ernest Turro}
\note{You need to install the \code{xmapcore} package and the xmapcore MySQL database corresponding to the array type, species and Ensembl version that you are interested in analysing.
}
%\examples{

%}
\keyword{manip}% at least one, from doc/KEYWORDS
