\name{plotTranscriptDensities}
\alias{plotTranscriptDensities}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{Plot MMBGX log expression transcript densities.}
\description{
  Plot the posterior densities of the log expression measure for all transcripts in a gene.
}
\usage{
    plotTranscriptDensities(resT, gene, filter=F, conditions=c(1,2), xlim=NULL, ylim=NULL) 
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{resT}{A list obtained from running \code{\link{readSingle.mmbgx}} on a MMBGX output directory produced from an Exon array transcript-level analysis.}
  \item{gene}{The gene index or the Ensembl gene id.}
  \item{filter}{Filter out transcripts that are low in both conditions (mu < 1.5) and not differentially expressed (Prob < 0.95).}
  \item{conditions}{Indices of conditions to compare.}
  \item{xlim}{Two-element vector specifying lowest and highest points on the x-axis.}
  \item{ylim}{Two-element vector specifying lowest and highest points on the y-axis.}
}


\author{Ernest Turro}
\seealso{\code{\link{mmbgx}}, \code{\link{readSingle.mmbgx}}, \code{\link{plotExpressionDensity}}, \code{\link{plotDEDensity}}, \code{\link{plotDEHistogram}}, \code{\link{differentialSplicing}}}
%\examples{
%}
\keyword{IO}% at least one, from doc/KEYWORDS
