#include "merge_transcripts.h"

  using namespace std;
  using namespace Rcpp;

  SEXP merge_transcripts(SEXP vec1, SEXP vec2) {

  StringVector v1(vec1);
  StringVector v2(vec2);
 
  map<string, string> t2ps;
  map<string, string> ps2t;
  map<string, string>::iterator mit;

  string cur;
  cur = v1[0];

  vector<string> ps_sv;
  vector<string>::iterator svit;
  string ps_str;

  string str;

  str=v2[0]; ps_sv.push_back(str);

  for(int i=1; i < v1.size(); i++) {
    std::string now;
    now=v1[i];

    if(cur==now) {
      str=v2[i]; ps_sv.push_back(str);
    } else {

      sort(ps_sv.begin(), ps_sv.end());
      unique(ps_sv.begin(), ps_sv.end());

      ps_str=ps_sv[0];
      for(svit = ps_sv.begin()+1; svit != ps_sv.end(); svit++) {
        ps_str = ps_str + "-" + *svit;
      }

      if((mit = ps2t.find(ps_str)) == ps2t.end()) {
        t2ps[cur] = ps_str;
        ps2t[ps_str] = cur;
      } else {
        str = mit->second;
        t2ps[str + "+" + cur] = mit->first;
        t2ps.erase(str);
        ps2t[ps_str] = str + "+" + cur;
      }
      ps_sv.erase(ps_sv.begin(), ps_sv.end());
     cur = v1[i];
     str=v2[i]; ps_sv.push_back(str);

    }
  }

  sort(ps_sv.begin(), ps_sv.end());
  unique(ps_sv.begin(), ps_sv.end());

  ps_str=ps_sv[0];
  for(svit = ps_sv.begin()+1; svit != ps_sv.end(); svit++) {
    ps_str = ps_str + "-" + *svit;
  }

  t2ps[cur] = ps_str;

  int nps=0;
  for(mit=t2ps.begin(); mit != t2ps.end(); mit++) {
    vector<string> tokens;
    string delim="-";
    string::size_type lastPos = (mit->second).find_first_not_of(delim, 0);
    string::size_type pos = (mit->second).find_first_of(delim, lastPos);
    while (string::npos != pos || string::npos != lastPos) {
      tokens.push_back((mit->second).substr(lastPos, pos - lastPos));
      lastPos = (mit->second).find_first_not_of(delim, pos);
      pos = (mit->second).find_first_of(delim, lastPos);
    }
    for(svit=tokens.begin(); svit != tokens.end(); svit++) {
      v1[nps] = mit->first;
      v2[nps] = *svit;
      nps++;
    }
  }

  CharacterVector v1res(nps);
  CharacterVector v2res(nps);
  for(int i=0; i < nps ; i++) {
    v1res[i] = v1[i];
    v2res[i] = v2[i];
  }

  return DataFrame::create(Named("IN1") = v1res, Named("stable_id") = v2res);

}



